image: maven:latest

cache:
  key: EnigmaCache

stages:
  - clean
  - build
  - test

Clean Project files:
  stage: clean
  script: mvn clean

Compile new version:
  stage: build
  script: mvn compile

Run JUnit tests and verify:
  stage: test
  script: mvn verify
  artifacts:
    reports:
      junit:
      - target/surefire-reports/TEST-*.xml
      - target/failsafe-reports/TEST-*.xml